[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvirt-ci] Build failed in Jenkins: libvirt-perl-ma ster-rpm » libvirt-centos-7 #1073



See <https://ci.centos.org/job/libvirt-perl-master-rpm/systems=libvirt-centos-7/1073/display/redirect>

------------------------------------------
Started by upstream project "libvirt-perl-master-rpm" build number 1073
originally caused by:
 Started by upstream project "libvirt-perl-master-check" build number 66
 originally caused by:
  Started by upstream project "libvirt-perl-master-build" build number 1236
  originally caused by:
   Started by upstream project "libvirt-master-build" build number 1504
   originally caused by:
    Started by an SCM change
    Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on libvirt-centos-7 (libvirt) in workspace <https://ci.centos.org/job/libvirt-perl-master-rpm/systems=libvirt-centos-7/ws/>
[libvirt-perl-master] $ /bin/sh -xe /tmp/jenkins2059543529777661680.sh
+ sed -i -e 's/BuildRequires: *perl-Sys-Virt.*//' perl-Sys-Virt.spec
+ sed -i -e 's/BuildRequires: *perl(Sys::Virt).*//' perl-Sys-Virt.spec
+ sed -i -e 's/BuildRequires: *libvirt.*devel.*//' perl-Sys-Virt.spec
+ rm -f '*.tar.gz'
+ perl Build dist
Creating Makefile.PL
Created META.yml and META.json
Creating Sys-Virt-v4.5.0
Creating Sys-Virt-v4.5.0.tar.gz
++ pwd
+ rpmbuild --define '_topdir <https://ci.centos.org/job/libvirt-perl-master-rpm/systems=libvirt-centos-7/ws/rpmbuild'> -ta Sys-Virt-v4.5.0.tar.gz
error: Failed build dependencies:
	perl-interpreter is needed by perl-Sys-Virt-4.5.0-1.el7.x86_64
	perl-generators is needed by perl-Sys-Virt-4.5.0-1.el7.x86_64
Build step 'Execute shell' marked build as failure


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]